Skip to main content
PATCH
/
api
/
prices
/
{id}
curl -X PATCH https://qwoty.app/api/prices/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer qwoty_your_token" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 129.99,
    "floor_price": 99.99,
    "identifiers[crm]": "crm_price_updated",
    "identifiers[erp]": "erp_price_updated",
    "identifiers[accounting]": "acc_price_updated"
  }'
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "product_variant_id": "660e8400-e29b-41d4-a716-446655440001",
    "product_variant_name": "Premium Widget",
    "product_id": "770e8400-e29b-41d4-a716-446655440002",
    "pricebook_id": "880e8400-e29b-41d4-a716-446655440003",
    "pricebook_name": "Standard Pricebook",
    "pricebook_type": "fixed",
    "currency_id": "990e8400-e29b-41d4-a716-446655440004",
    "currency_name": "Euro",
    "currency_api_name": "EUR",
    "pricing_model": "flat",
    "amount": 129.99,
    "volume_tiers": null,
    "is_volume_grid_displayed": false,
    "graduated_tiers": null,
    "is_graduated_grid_displayed": false,
    "percent": null,
    "price_percentage_type": null,
    "cost_multiplier": null,
    "cost": 50.0,
    "floor_price": 99.99,
    "is_setup": false,
    "is_pay_as_you_go": false,
    "default_tax_id": "aa0e8400-e29b-41d4-a716-446655440005",
    "default_tax_name": "VAT 20%",
    "default_tax_rate": 20.0,
    "default_tax_amount": null,
    "default_tax_is_percentage": true,
    "billing_frequency_id": null,
    "billing_frequency_period": null,
    "billing_frequency_unit": null,
    "engagement_type": null,
    "period_duration": null,
    "parent_price_id": null,
    "identifiers": {
      "crm": "crm_price_updated",
      "erp": "erp_price_updated",
      "accounting": "acc_price_updated"
    },
    "workspace_id": "cc0e8400-e29b-41d4-a716-446655440007",
    "created_at": "2024-12-21T10:30:00Z",
    "updated_at": "2024-12-21T15:20:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.qwoty.io/llms.txt

Use this file to discover all available pages before exploring further.

Updates an existing price with partial data (PATCH semantics). Only provided fields are updated. Creation-only fields cannot be modified.

Authentication

Authorization
string
required
Bearer token for authentication

Path Parameters

id
uuid
required
The unique identifier of the price to update

Request Body

All fields are optional. Only include the fields you want to update.
pricing_model
string
Pricing model: flat, volume, graduated, percent, cost_based, or none
amount
number
Fixed price amount (for flat pricing)
volume_tiers
array
Array of volume tier objects
is_volume_grid_displayed
boolean
Whether to display volume tiers to customers
graduated_tiers
array
Array of graduated tier objects
is_graduated_grid_displayed
boolean
Whether to display graduated tiers to customers
percent
number
Percentage value 0-100
price_percentage_type
string
Scope: all, product_type, or product
cost_multiplier
number
Multiplier for cost-based pricing
cost
number
Base cost price
floor_price
number
Minimum acceptable price
is_setup
boolean
Whether this is a setup fee
is_pay_as_you_go
boolean
Whether this uses pay-as-you-go billing
default_tax_id
uuid
ID of the default sales tax
billing_frequency_id
uuid
ID of billing frequency
engagement_type
string
forever or fixed_period
period_duration
number
Number of billing periods
parent_price_id
uuid
Parent price ID for dynamic pricebooks
identifiers[crm]
string
External CRM identifier
identifiers[erp]
string
External ERP identifier
identifiers[accounting]
string
External accounting identifier

Immutable Fields

The following fields cannot be modified after creation:
  • product_variant_id
  • pricebook_id
  • currency_id

Response

success
boolean
Indicates if the request was successful
data
object
The updated price object with all fields and enriched data
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "product_variant_id": "660e8400-e29b-41d4-a716-446655440001",
    "product_variant_name": "Premium Widget",
    "product_id": "770e8400-e29b-41d4-a716-446655440002",
    "pricebook_id": "880e8400-e29b-41d4-a716-446655440003",
    "pricebook_name": "Standard Pricebook",
    "pricebook_type": "fixed",
    "currency_id": "990e8400-e29b-41d4-a716-446655440004",
    "currency_name": "Euro",
    "currency_api_name": "EUR",
    "pricing_model": "flat",
    "amount": 129.99,
    "volume_tiers": null,
    "is_volume_grid_displayed": false,
    "graduated_tiers": null,
    "is_graduated_grid_displayed": false,
    "percent": null,
    "price_percentage_type": null,
    "cost_multiplier": null,
    "cost": 50.0,
    "floor_price": 99.99,
    "is_setup": false,
    "is_pay_as_you_go": false,
    "default_tax_id": "aa0e8400-e29b-41d4-a716-446655440005",
    "default_tax_name": "VAT 20%",
    "default_tax_rate": 20.0,
    "default_tax_amount": null,
    "default_tax_is_percentage": true,
    "billing_frequency_id": null,
    "billing_frequency_period": null,
    "billing_frequency_unit": null,
    "engagement_type": null,
    "period_duration": null,
    "parent_price_id": null,
    "identifiers": {
      "crm": "crm_price_updated",
      "erp": "erp_price_updated",
      "accounting": "acc_price_updated"
    },
    "workspace_id": "cc0e8400-e29b-41d4-a716-446655440007",
    "created_at": "2024-12-21T10:30:00Z",
    "updated_at": "2024-12-21T15:20:00Z"
  }
}
curl -X PATCH https://qwoty.app/api/prices/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer qwoty_your_token" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 129.99,
    "floor_price": 99.99,
    "identifiers[crm]": "crm_price_updated",
    "identifiers[erp]": "erp_price_updated",
    "identifiers[accounting]": "acc_price_updated"
  }'